/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
export declare class DataReferenceComponent implements OnInit, OnDestroy {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    arFields$: any[];
    referenceType: string;
    selectionMode: string;
    parameters: any;
    hideLabel: boolean;
    childrenToRender: any[];
    dropDownDataSource: string;
    isDisplayModeEnabled: boolean;
    propsToUse: any;
    rawViewMetadata: any;
    viewName: string;
    firstChildMeta: any;
    canBeChangedInReviewMode: boolean;
    propName: string;
    firstChildPConnect: any;
    children: any;
    displaySingleRef: boolean;
    displayMultiRef: boolean;
    refList: any;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    updateSelf(): void;
    updatePropertiesFromProps(theConfigProps: any): void;
    generateChildrenToRender(): void;
    handleSelection(event: any): void;
    recreatedFirstChild(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataReferenceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataReferenceComponent, "app-data-reference", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
